漏洞信息详情

libarchive 缓冲区溢出漏洞

  • CNNVD编号:CNNVD-201204-294
  • 危害等级: 高危
  • CVE编号: CVE-2010-4666
  • 漏洞类型: 缓冲区溢出
  • 发布时间: 2012-04-17
  • 威胁类型: 远程
  • 更新时间: 2012-04-18
  • 厂        商: freebsd
  • 漏洞来源:

漏洞简介

libarchive 3.0预发布代码中存在缓冲区溢出漏洞,该漏洞源于在读取LZX压缩数据中的Huffman编码数据时未正确处理。远程攻击者可利用该漏洞借助特制CAB文件导致拒绝服务(应用程序崩溃)或者可能产生其他未明影响。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:

http://libarchive.github.com/

参考网址

来源: bugzilla.redhat.com

链接:https://bugzilla.redhat.com/show_bug.cgi?id=705849

来源: code.google.com

链接:http://code.google.com/p/libarchive/source/detail?r=2842

受影响实体

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多